/* ==========================================================================
    TYPOGRAPHY
===========================================================================*/

/* VARIABLES */

// titles
$title-font-family: $font-family-secondary;
$title-line-height: $line-height-primary;
$title-color: $color-black;
$title-font-weight: $font-weight-bold;

// links
$link-font-family: $font-family-primary;
$link-color: $color-primary;
$link-color-hover: darken($link-color, 10%);

/* BASE STYLES */

body {
  font-family: $font-family-primary;
  color: $color-black;
  font-size: $font-size-primary;
  line-height: $line-height-primary;
  font-weight: $font-weight-regular;
}

/* TITLES */

h1,
.h1 {
  font-family: $title-font-family;
  font-size: $font-size-h1;
  line-height: $title-line-height;
  color: $title-color;
  font-weight: $title-font-weight;
}

h2,
.h2 {
  font-family: $title-font-family;
  font-size: $font-size-h2;
  line-height: $title-line-height;
  color: $title-color;
  font-weight: $title-font-weight;

  @include mq("tablet", "max") {
    font-size: $font-size-h2-phone;
  }
}

h3,
.h3 {
  font-family: $title-font-family;
  font-size: $font-size-h3;
  line-height: $title-line-height;
  color: $title-color;
  font-weight: $title-font-weight;
}

h4,
.h4 {
  font-family: $title-font-family;
  font-size: $font-size-h4;
  line-height: $title-line-height;
  color: $title-color;
  font-weight: $title-font-weight;
}

/* LINKS */

a {
  font-family: $link-font-family;
  color: $link-color;
  text-decoration: none;

  &:hover {
    color: $link-color-hover;
    text-decoration: underline;
  }
}

ul, ol {
  margin: 0;
  padding-left: 0;
  list-style: none;

  li {
    list-style: none;
  }
}

/* end typography */
